$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.155.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.155.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '01F8B21FC830423306F3CDBA02513D2D49DA394BDC943749F1A42038207F286E'
  checksumType = 'sha256'
  checksum64 = '01F8B21FC830423306F3CDBA02513D2D49DA394BDC943749F1A42038207F286E'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.155-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
